%define upstream_name    IO-Interface
%define upstream_version 1.07

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    3

Summary:    IO::Interface - Perl extension for access to network card configuration information
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/dist/CPAN/authors/id/L/LD/LDS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
%description
IO::Interface adds methods to IO::Socket objects that allows them to
be used to retrieve and change information about the network
interfaces on your system.  In addition to the object-oriented access
methods, you can use a function-oriented style.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test

%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name perllocal.pod -o -name .packlist | xargs rm -f

%files
%doc Changes META.yml README
%dir %{perl_archlib}/*/auto/IO/Interface
%{perl_archlib}/*/auto/IO/Interface/*
%{perl_archlib}/*/IO/*
%{_mandir}/*/*
